package com.gct.dataengine.central;

import com.gct.common.oss.EnableOSSAccess;
import com.spring4all.swagger.EnableSwagger2Doc;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.cloud.openfeign.EnableFeignClients;

@SpringBootApplication
@MapperScan("com.gct.dataengine.central.mapper*")//要扫描的dao包
@EnableSwagger2Doc //启用swagger注解
@EnableConfigurationProperties
@EnableFeignClients
@EnableOSSAccess
public class DataEngineCentral {

    public static void main(String[] args) {
        SpringApplication.run(DataEngineCentral.class, args);
    }

}
