package com.gct.dataengine.central.controller;


import com.gct.common.core.result.Result;
import com.gct.dataengine.central.entity.MachineServerState;
import com.gct.dataengine.central.entity.vo.ConditionMonitorData;
import com.gct.dataengine.central.service.MachineServerStateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author gxt
 * @since 2022-07-27
 */
@RestController
@RequestMapping("/machineServerState")
public class MachineServerStateController {

    @Autowired
    MachineServerStateService machineServerStateService;

    @PostMapping("/write-state")
    public Result writeState(@RequestBody ConditionMonitorData conditionMonitorData){
        return Result.ok(machineServerStateService.writeState(conditionMonitorData));
    }

    @PostMapping("/add-server")
    public Result addServer(@RequestBody List<MachineServerState> machineServerState){
        return Result.ok(machineServerStateService.saveOrUpdateState(machineServerState));
    }
}

