package com.gct.dataengine.central.controller;


import com.gct.common.core.result.Result;
import com.gct.dataengine.central.entity.vo.GetMonitorInfoVo;
import com.gct.dataengine.central.service.MonitorViewInfoListService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 监控详情信息表 前端控制器
 * </p>
 *
 * @author gxt
 * @since 2022-07-27
 */
@RestController
@RequestMapping("/monitor/info")
public class MonitorViewInfoListController {

    @Autowired
    MonitorViewInfoListService monitorViewInfoListService;

    @PostMapping("/list")
    public Result MonitorViewInfoList(@RequestBody GetMonitorInfoVo getMonitorInfoVo){
        return Result.ok(monitorViewInfoListService.getMonitorViewInfoList(getMonitorInfoVo));
    }

}

