package com.gct.dataengine.central.job;

import com.gct.dataengine.central.service.MonitorViewInfoListService;
import lombok.extern.slf4j.Slf4j;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.quartz.QuartzJobBean;

/**
 * class name: SaveMonitorViewInfo
 *
 * @author gxt
 * @version 1.0
 * @since 2022/8/2 下午1:58 周二
 */
@Slf4j
public class SaveMonitorViewInfo extends QuartzJobBean {

    @Autowired
    MonitorViewInfoListService monitorViewInfoListService;

    @Override
    protected void executeInternal(JobExecutionContext context) throws JobExecutionException {
        boolean b = monitorViewInfoListService.saveMonitorViewInfo();
        if (b) log.info("save monitorViewInfo success !");
    }
}
