package com.gct.dataengine.central.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author gxt
 * @since 2022-07-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="MachineServerState对象", description="")
public class MachineServerState extends Model<MachineServerState> {

    private static final long serialVersionUID=1L;

    @TableId(type = IdType.AUTO)
    private Integer id;

    private String ipAddress;

    private String port;

    @ApiModelProperty(value = "协议")
    private String protocol;

    @ApiModelProperty(value = "是否在线 1:在线 2:离线")
    private Integer online;

    @ApiModelProperty(value = "设备模板id")
    private String templateId;

    @ApiModelProperty(value = "设备服务id")
    private String deviceId;

    @ApiModelProperty(value = "设备服务name")
    private String deviceName;


    @ApiModelProperty(value = "采集器服务标识id")
    private String collectorId;

    @ApiModelProperty(value = "采集器服务宿主机")
    private String collectorHost;

    @ApiModelProperty(value = "采集器服务名称")
    private String collectorName;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @Override
    protected Serializable pkVal() {
        return null;
    }

}
