package com.gct.dataengine.central.entity.vo;

import com.gct.dataengine.central.entity.ViewTemplateInfo;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * class name: CopyViewTemplateVo
 *
 * @author gxt
 * @version 1.0
 * @since 2022/8/11 上午10:28 周四
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="CopyViewTemplateVo对象", description="复制视图模板信息的请求vo")
public class CopyViewTemplateVo {
    private ViewTemplateInfo viewTemplateInfo;
    private String viewTempName;
    private String groupId;
}
