package com.gct.dataengine.central.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * class name: saveTempInfoVo
 *
 * @author gxt
 * @version 1.0
 * @since 2022/7/27 下午5:24 周三
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="SaveTempInfoVo对象", description="保存视图模板信息的请求vo")
public class SaveTempInfoVo {

    @ApiModelProperty(value = "视图模板id")
    private String templateId;
    private String tempName;
    private String groupId;
    @ApiModelProperty(value = "显示设备模板id")
    private String equipmentId;
    @ApiModelProperty(value = "绑定设备模板id")
    private List<String> equipmentBindId;
    @ApiModelProperty(value = "设备模板中的设备组列表中的下标")
    private String deviceId;
    private String img;
    private String tag;
    private String address;

}
