package com.gct.dataengine.central.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gct.dataengine.central.entity.ViewTemplateInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gct.dataengine.central.entity.vo.AddTempInfoVo;
import com.gct.dataengine.central.entity.vo.CopyViewTemplateVo;
import com.gct.dataengine.central.entity.vo.GetTempInfoVo;
import com.gct.dataengine.central.entity.vo.SaveTempInfoVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 视图模板信息表 服务类
 * </p>
 *
 * @author gxt
 * @since 2022-07-27
 */
public interface ViewTemplateInfoService extends IService<ViewTemplateInfo> {

    boolean saveTemplateInfo(SaveTempInfoVo saveTempInfoVo);

    ViewTemplateInfo getTempplateInfo(GetTempInfoVo getTemplateInfoVo);

    Page<ViewTemplateInfo> getTempplateInfoList(GetTempInfoVo getTemplateInfoVo);

    boolean addTemplateInfo(AddTempInfoVo addTempInfoVo);

    boolean deleteTemplateInfo(String id);

    boolean updateTemplateInfo(String id,Integer enableState);

    List<ViewTemplateInfo> getList();

    boolean copyTemplateInfo(CopyViewTemplateVo copyViewTemplateVo);

    ViewTemplateInfo getViewTempInfoById(String id);
}
